import { declare } from '@babel/helper-plugin-utils';

var index = declare(api => {
  api.assertVersion("8.0.0-alpha.16");
  return {
    name: "proposal-do-expressions",
    manipulateOptions: (_, parser) => parser.plugins.push("doExpressions"),
    visitor: {
      DoExpression: {
        exit(path) {
          const {
            node
          } = path;
          if (node.async) {
            return;
          }
          const body = node.body.body;
          if (body.length) {
            path.replaceExpressionWithStatements(body);
          } else {
            path.replaceWith(path.scope.buildUndefinedNode());
          }
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
